Subject: Re: bug#71367: 30.0.50; ELPA package breadcrumb causes Emacs freeze when editing json file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2024 15:08:15 +0300

> From: João Távora <[email-masked]>
> Date: Thu, 6 Jun 2024 12:47:13 +0100
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> 
> On Thu, Jun 6, 2024 at 12:33 PM Eli Zaretskii <[email-masked]> wrote:
> 
> > I'd say allocate some initial space with make-vector, and then enlarge
> > using vconcat or something?
> 
> That amounts to implementing VECTOR-PUSH/VECTOR-PUSH-EXTEND
> for a new "dynamic vector" data type, very common in other languages.
> Doesn't belong in breadcrumb at all, in fact doesn't even belong in
> Elisp IMO, but
> I don't  mind if someone contributes it there (after confirming
> this is the culprit, of course).  Could even be some other package already
> has it.

I don't see why using make-vector and vconcat, two existing
primitives, would qualify as implementing something more general than
what is needed here.  But if we want this functionality as a
primitive, we could perhaps expose larger_vector to Lisp.